This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1269629 - [epel7s390x] bouncycastle-pkix SRPM does not build correctly on s390x
[epel7s390x] bouncycastle-pkix SRPM does not build correctly on s390x
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: bouncycastle-pkix (Show other bugs)
epel7
s390x Linux
unspecified Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: epel7s390x
  Show dependency treegraph
 
Reported: 2015-10-07 15:15 EDT by IBM Bug Proxy
Modified: 2016-02-23 12:32 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 131434 None None None Never

  None (edit)
Description IBM Bug Proxy 2015-10-07 15:15:33 EDT

    
Comment 1 IBM Bug Proxy 2015-10-07 15:15:35 EDT
The EPEL 7 SRPM for bouncycastle-pkix 
https://dl.fedoraproject.org/pub/epel/7/SRPMS/b/bouncycastle-pkix-1.50-1.el7.src.rpm 
does not build correctly in Mock on s390x.

The compilation succeeded with no error. But the unit tests encountered issue with signing, therefore preventing RPM from being built. 

Here is the stack trace of erroneous unit test:
    [junit] Testcase: testEncryptedValue took 2.332 sec
    [junit]     Caused an ERROR
    [junit] cannot create key generator: JCE cannot authenticate the provider BC
    [junit] org.bouncycastle.cert.crmf.CRMFException: cannot create key generator: JCE cannot authenticate the provider BC
    [junit]     at org.bouncycastle.cert.crmf.jcajce.CRMFHelper.createKeyGenerator(CRMFHelper.java:158)
    [junit]     at org.bouncycastle.cert.crmf.jcajce.JceCRMFEncryptorBuilder$CRMFOutputEncryptor.<init>(JceCRMFEncryptorBuilder.java:80)
    [junit]     at org.bouncycastle.cert.crmf.jcajce.JceCRMFEncryptorBuilder.build(JceCRMFEncryptorBuilder.java:67)
    [junit]     at org.bouncycastle.cert.crmf.test.AllTests.testEncryptedValue(AllTests.java:262)
    [junit] Caused by: java.security.NoSuchProviderException: JCE cannot authenticate the provider BC
    [junit]     at javax.crypto.b.a(Unknown Source)
    [junit]     at javax.crypto.KeyGenerator.getInstance(Unknown Source)
    [junit]     at org.bouncycastle.jcajce.NamedJcaJceHelper.createKeyGenerator(NamedJcaJceHelper.java:65)
    [junit]     at org.bouncycastle.cert.crmf.jcajce.CRMFHelper.createKeyGenerator(CRMFHelper.java:147)
    [junit] Caused by: java.util.jar.JarException: file:/usr/share/java/bcprov.jar has unsigned entries - org/bouncycastle/LICENSE.class
    [junit]     at javax.crypto.a.a(Unknown Source)
    [junit]     at javax.crypto.a.a(Unknown Source)
    [junit]     at javax.crypto.a.a(Unknown Source)
    [junit]     at javax.crypto.b.b(Unknown Source)
    [junit]     at javax.crypto.b.a(Unknown Source)
Comment 2 Mat Booth 2015-10-08 04:30:03 EDT
Changing product to "EPEL"...
Comment 3 IBM Bug Proxy 2016-02-23 12:32:23 EST
------- Comment From vsandhya@in.ibm.com 2016-02-23 12:11 EDT-------
Any updates?

Note You need to log in before you can comment on or make changes to this bug.